Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 158825 - uninitialized value in linux-2.6.12-vm-singlebiterror.patch
Summary: uninitialized value in linux-2.6.12-vm-singlebiterror.patch
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: kernel
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Dave Jones
QA Contact: Brian Brock
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2005-05-26 02:36 UTC by Tsukahara Ken
Modified: 2015-01-04 22:19 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2005-09-28 08:53:03 UTC


Attachments (Terms of Use)
initialize total = 0 (deleted)
2005-05-26 02:36 UTC, Tsukahara Ken
no flags Details | Diff

Description Tsukahara Ken 2005-05-26 02:36:53 UTC
Description of problem:
uninitialized auto variable in linux-2.6.12-vm-singlebiterror.patch

Version-Release number of selected component (if applicable):
kernel-2.6.11-1.1353_FC4

How reproducible:
Always (not runtime, but compile time)

Steps to Reproduce:
1.rpmbuild -ba --target i686 kernel-2.6.spec
2.
3.
  
Actual results:
mm/slab.c: In function `dump_line':
mm/slab.c:1010: warning: 'total' might be used uninitialized in this function

Expected results:
No gcc warning.

Additional info:
It should be initialized.

Comment 1 Tsukahara Ken 2005-05-26 02:36:53 UTC
Created attachment 114863 [details]
initialize total = 0


Note You need to log in before you can comment on or make changes to this bug.